# nng_tls_config_hold(3tls) Manual Page

## NAME

nng_tls_config_hold - hold TLS configuration object

## SYNOPSIS

    #include <nng/nng.h>
    #include <nng/supplemental/tls/tls.h>

    void nng_tls_config_alloc(nng_tls_config *cfg);

## DESCRIPTION

The `nng_tls_config_hold()` increments the reference count on the configuration object named by cfg, thereby preventing it from being freed while in use.

The hold can be released by calling `nng_tls_config_free()`.

Multiple holds can be placed on a configuration object; the object will not be freed until the last hold is released.

## RETURN VALUES

None.

## ERRORS

None.

## SEE ALSO

nng_tls_config_alloc(3tls), nng_tls_config_free(3tls), nng(7)